{******************************************************************************}
{                                                                              }
{ The contents of this file are subject to the Mozilla Public License Version  }
{ 1.1 (the "License"); you may not use this file except in compliance with the }
{ License. You may obtain a copy of the License at http://www.mozilla.org/MPL/ }
{                                                                              }
{ Software distributed under the License is distributed on an "AS IS" basis,   }
{ WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for }
{ the specific language governing rights and limitations under the License.    }
{                                                                              }
{ The Original Code is DirectX.inc.                                            }
{                                                                              }
{******************************************************************************}

// TMT compiler support
{$IFNDEF __TMT__}
  TMT pascal compiler required here
{$ENDIF}

// ADD IFOPT for TMT

{$DEFINE TMT}

{$IFDEF __WIN32__}
  {$DEFINE WIN32}
{$ENDIF}

{$IFDEF __VER5__}
  {$DEFINE TMT5}
  {$DEFINE TMT5_UP}
  {$DEFINE TMT4_UP}
  {$DEFINE TMT3_UP}
{$ENDIF}

{$IFDEF __VER4__}
  {$DEFINE TMT4}
  {$DEFINE TMT4_UP}
  {$DEFINE TMT3_UP}
{$ENDIF}

{$IFDEF __VER3__}
  {$DEFINE TMT3}
  {$DEFINE TMT3_UP}
{$ENDIF}

{$IFDEF TMT4_UP}
  {$DEFINE SUPPORTS_INTERFACE}
{$ENDIF}

// Additional settings
{$A+}  // Word alignment data
{$OA+} // Objects and structures align
{$Z4}  // Set minimum size of enumerated type to 4
